Bug 1429783 (CVE-2017-5410) - CVE-2017-5410 Mozilla: Memory corruption during JavaScript garbage collection incremental sweeping (MFSA 2017-06)
Summary: CVE-2017-5410 Mozilla: Memory corruption during JavaScript garbage collection...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5410
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170307,repor...
Depends On:
Blocks: 1419403
TreeView+ depends on / blocked
 
Reported: 2017-03-07 04:57 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 21:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-14 06:38:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0459 normal SHIPPED_LIVE Critical: firefox security update 2017-03-08 21:04:04 UTC
Red Hat Product Errata RHSA-2017:0461 normal SHIPPED_LIVE Critical: firefox security update 2017-03-08 20:53:58 UTC
Red Hat Product Errata RHSA-2017:0498 normal SHIPPED_LIVE Important: thunderbird security update 2017-03-14 10:03:30 UTC

Description Huzaifa S. Sidhpurwala 2017-03-07 04:57:15 UTC
Memory corruption resulting in a potentially exploitable crash during garbage collection of JavaScript due errors in how incremental sweeping is managed for memory cleanup.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-06/#CVE-2017-5410


Acknowledgements:

Name: the Mozilla project
Upstream: Jerri Rice

Comment 1 errata-xmlrpc 2017-03-08 15:55:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0461 https://rhn.redhat.com/errata/RHSA-2017-0461.html

Comment 2 errata-xmlrpc 2017-03-08 16:05:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2017:0459 https://rhn.redhat.com/errata/RHSA-2017-0459.html

Comment 3 errata-xmlrpc 2017-03-14 06:04:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:0498 https://rhn.redhat.com/errata/RHSA-2017-0498.html


Note You need to log in before you can comment on or make changes to this bug.